function [S, binary_pos] = autoslice_2001(AC, ns_h, h, scidar_defocus, dr, zenith, binary_sep, m_diff);

asize=128;
alpha = 10^(m_diff/2.5);
% Now convert the data to polar coordinates using Johns code
y = -asize:asize-1;         % Set up coordinates for displaying image
x = y;

%AC = AC*(((1+alpha)^2)/alpha);

theta_step=1.0/(asize-1);
%theta_step=2*pi/200;
theta = [0:theta_step:2*pi];
r=[0:1:asize-2];
ac_pol=xy2rth(x,y,AC,r,theta);

%precomputed double stars rotation on ccd; (sgn(X),Y/|X|)
rdb='';
	if ((binary_sep==5.7) & (m_diff==0)) %36OPH
   	rdb =[1,26/24];
   end
	if ((binary_sep==8.2) & (m_diff==1.1)) % HIP13847
      rdb =[-1,27/16];
   end
	if ((binary_sep==5.6) & (m_diff==0.5)) %ALFCRU
      rdb=[1,24/5];
   end
   	if ((binary_sep==3.8) & (m_diff==0.2)) %ZETAQR
      rdb=[1,12/72];
   end
%rdb=''; %manual selection tests 

figure (2)
subplot (2,2,1)
imagesc(abs(log10(1+ac_pol)));grid
title ('Raw autocorrelation in polar coordinates');

% FIND DIRECTION OF BINARY now in polar coordinates
% we only need to find the position of the binary
if (isempty (rdb))
%r_mask = input('Input the full radius of the central autocorrelation peak estimated from the image in FIGURE 1  ');
mask=ac_pol;
%Create a smooth mask without central peak for secondary peak detection
r_mask = asize-1;
centralmed(1:r_mask)=median(ac_pol(:,1:r_mask),1);
central=ac_pol(:,1:r_mask);
for i=1:r_mask
   central(:,i)=centralmed(i);
end
mask(:,1:r_mask)=abs(ac_pol(:,1:r_mask)-central(:,1:r_mask));

%scan_val=input('Enter radius position to scan for secondary maximum');
%look for the  secondary maximum of the image (after removal of central peak)
mask(:,1:round(asize/8))=0;
C = max(mask,[],1);
[D,scan_val] = max(C);
scan=ac_pol(:,scan_val);
[a,max_pos]=max(scan);

else
%str=sprintf('Max position %0.0f ',max_pos);
%disp(str);

%figure (2)
%imagesc(abs(log10(1+mask)));grid
%title(str);
max_pos=rdb(1)*atan(rdb(2))*128/180

end
% Now we want to extract the data +- pi/2 around the maximum point
sect_range=(pi/2)/theta_step;
t=floor(max_pos+sect_range);
b=floor(max_pos-sect_range);
% Check we are not going to fall out of the data
if ((b<1) | (t > 798))
   % Need to do some fix
   ac_pol2=[ac_pol;ac_pol];
   if(b<1)
      max_pos=max_pos+798;
      t=floor(max_pos+sect_range);
		b=floor(max_pos-sect_range);
		ac_pol2=[ac_pol;ac_pol];
   end
	ac_pol_section=ac_pol2(b:t,:);
else
	ac_pol_section=ac_pol(b:t,:);
end

%Accuratly locate the centre of the grid
%Rescan, look for only the data > max/2 do a centroid on that

scan=ac_pol_section(:,scan_val);
val=((max(scan)-min(scan))/2)+min(scan);
scan_val=(scan > val ) .* scan;

sm=sum(scan_val);
sz=ceil(sect_range)*2;
x=1:sz;
sx=sum(x' .* scan_val);

%Now have an accurate position for the binary position
binary_pos=round(sx/sm);

Proj_parr=ac_pol_section(binary_pos,:);

box_size=12;
t=binary_pos+box_size;
b=binary_pos-box_size;

%Display the result
%Create a smooth mask without central peak
mask=ac_pol_section;
r_mask = 127;
centralmed(1:r_mask)=median(ac_pol_section(:,1:r_mask),1);
central=ac_pol_section(:,1:r_mask);
for i=1:r_mask
   central(:,i)=centralmed(i);
end
mask(:,1:r_mask)=abs(ac_pol_section(:,1:r_mask)-central(:,1:r_mask));


%Now extract all the unwanted data and sum it as noise
noise=ac_pol_section;
noise(b:t,:)=0;
Proj_noise=sum(noise);
%Normalize
Proj_noise =Proj_noise / (sz-((2*box_size)+1));
out=Proj_parr-Proj_noise;
sz=size(out,2);
ac=zeros(1,ns_h);
if(ns_h>=127)
	ac(1:127)=out;
else
   ac=out(1:ns_h);
end
S=ac;

figure (2)
subplot (2,2,2)
imagesc(abs(log(1+mask)));grid
hold on
plot (1:128,binary_pos,'.k')
str=sprintf('Max position %0.0f ',binary_pos);
disp(str);
title('Slice Extraction');
xlabel('R')
ylabel ('Theta');
hold off

figure(2)
subplot(2,2,3);
plot(Proj_parr,'r');
title('Raw slice (red), Background (green)');
xlabel('pixel')
ylabel ('Scint. Covariance');
hold on
plot(Proj_noise,'g');
hold off


figure(2)
subplot(2,2,4);
%plot(h/1000,S);
%S=(ac > 0 ) .* S;
hh=((h/1000)-scidar_defocus);
bar(hh,S);
title('Background subtracted');
xlabel('alt abv ground (km)')
ylabel ('Scint. Covariance');

% Set top and bottom limits
%top=input('Top limit:  ');
top = 25;
%if(~isempty(top))
%	v=(hh<=top);
%   S=S .* v;
%   bar(hh,S);
%   ax=axis;
%   ax(2)=top;
%   axis(ax);
%else
%	top=max(hh);
%end

%base=input('base limit:  ');
base = 0;
%if(~isempty(base))
%	v=(hh>=base);
%   S=S .* v;
%   bar(hh,S);
%   ax=axis;
%   ax(1)=base;
%   ax(2)=top;
%   axis(ax);
%else
%   base=min(hh);
%end


%figure(4);         
%pause(0);
%block_name = 'saao2000_run1';
%oname = 'saao2000_run1_slice';

%save(oname,'h','ac','S','top','base','scidar_defocus','max_pos','block_name','dr','zenith','binary_sep','ns_h');


%Now we have the cleaned output data in out
clear top
clear base

old_def=scidar_defocus;
old_zen=zenith;
old_binary=binary_sep;

