function [gradient] = cggrad(f, AH, HG, reg_matrix, fm);
% Calculates the gradient for the following error function to update f
% (where an energy constraint is imposed on f).
% Error = sum2((conv2(fest,hest) - d).^2)) + sum2(reg_matrix.*(fest.^2));
% Gradient = corr2(hest, conv2(fest,hest)) + reg_matrix.*fest;
% Usage : [gradient] = cggrad(f, AH, HG, reg_matrix, fm);
% Rachel Johnston, 21/9/98

gradient = (real(ifft2(fft2(f).*AH - HG)) + (reg_matrix.*f)).*fm;

