function frth = xy2rth(x,y,fxy,r,th)
% frth = xy2rth(x,y,data,radius,theta)
% Resamples fxy, defined on the cartesian positions given by
% the vectors x and y, at the polar values given by the
% vectors r and th. (x = r cos(th), y = r sin(th))
% x and y can also be meshgrids, but r and th MUST
% be row vectors.

frth = interp2(x,y,fxy,(r'*cos(th))',(r'*sin(th))');